summaryrefslogtreecommitdiff
path: root/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh')
-rw-r--r--meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh b/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
index be28bb35bf..f5b5b9904b 100644
--- a/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
+++ b/meta/recipes-core/initscripts/initscripts-1.0/sysfs.sh
@@ -14,6 +14,18 @@ if [ -e /proc ] && ! [ -e /proc/mounts ]; then
mount -t proc proc /proc
fi
-if [ -e /sys ] && grep -q sysfs /proc/filesystems; then
- mount sysfs /sys -t sysfs
+if [ -e /sys ] && grep -q sysfs /proc/filesystems && ! [ -e /sys/class ]; then
+ mount -t sysfs sysfs /sys
+fi
+
+if [ -e /sys/kernel/debug ] && grep -q debugfs /proc/filesystems; then
+ mount -t debugfs debugfs /sys/kernel/debug
+fi
+
+if [ -e /sys/kernel/config ] && grep -q configfs /proc/filesystems; then
+ mount -t configfs configfs /sys/kernel/config
+fi
+
+if ! [ -e /dev/zero ] && [ -e /dev ] && grep -q devtmpfs /proc/filesystems; then
+ mount -n -t devtmpfs devtmpfs /dev
fi